Name:           sxiv
Version:        1.0
Release:        %mkrel 2
Summary:        Simple (or small or suckless) X Image Viewer
Group:          Graphics/Viewers
License:        GPLv2+
URL:            https://github.com/muennich/%{name}/
Source0:        https://github.com/downloads/muennich/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# From RH, enabling to use our flags:
Patch0:         sxiv-1.0-optflags.patch
BuildRequires:  X11-devel
BuildRequires:  imlib2-devel
BuildRequires:  desktop-file-utils

%description
sxiv is an alternative to feh and qiv.  The primary goal for writing sxiv is to
create an image viewer, which only has the most basic features required for
fast image viewing.
It works nicely with tiling window managers and its code base should be kept
small and clean to make it easy for you to dig into it and customize it for
your needs.

%prep
%setup -q
%patch0 -p1 -b .optflags

%build
export CFLAGS="%{optflags}"
%make

%install
%makeinstall_std PREFIX=%{_prefix}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc LICENSE README.md
%{_bindir}/sxiv
%{_datadir}/applications/*
%{_mandir}/man1/*



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 383862
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 tv <tv> 1.0-1.mga3
+ Revision: 309943
- imported package sxiv

